com.gisgraphy.domain.valueobject

## Enum Constants.SolrQueryType

- java.lang.Object
- - java.lang.Enum<Constants.SolrQueryType>
  - - com.gisgraphy.domain.valueobject.Constants.SolrQueryType

- All Implemented Interfaces:
    Serializable, Comparable<Constants.SolrQueryType>
  Enclosing class:
    Constants

      public static enum Constants.SolrQueryType
      extends Enum<Constants.SolrQueryType>

  All the Query type in the Gisgraphy solr config file

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `advanced`
    `deep`
    `numeric`
    `simple`
    `spellcheck`
    `standard`
    `suggest`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.SolrQueryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Constants.SolrQueryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### standard

          public static final Constants.SolrQueryType standard

    - #### numeric

          public static final Constants.SolrQueryType numeric

    - #### simple

          public static final Constants.SolrQueryType simple

    - #### deep

          public static final Constants.SolrQueryType deep

    - #### advanced

          public static final Constants.SolrQueryType advanced

    - #### spellcheck

          public static final Constants.SolrQueryType spellcheck

    - #### suggest

          public static final Constants.SolrQueryType suggest

  - ### Method Detail

    - #### values

          public static Constants.SolrQueryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.SolrQueryType c : Constants.SolrQueryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.SolrQueryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.